Opened 4 years ago

Closed 15 months ago

#51386 closed enhancement (fixed)

Remove JRuby dependency on Kaffe

Reported by: mouse07410 (Mouse) Owned by: ci42
Priority: Normal Milestone:
Component: ports Version:
Keywords: Cc:
Port: jruby

Description

My installation does not use Kaffe, but Oracle JDK. Your JRuby port appears to require kaffe. I don't want Kaffe because it would interfere with my other running stuff.

Therefore I'm asking for an option, a variant, whatever - of a JRuby port that would either discover JDK installation on its own, or accept variant name from the user and take on faith that the user chooses to install this variant only if/when he has Oracle JDK already installed.

Thank you!

Change History (4)

comment:1 Changed 4 years ago by mf2k (Frank Schima)

Cc: ciserlohn@… removed
Owner: changed from macports-tickets@… to ciserlohn@…
Type: requestenhancement
Version: 2.3.4

Note that a "request" ticket type is only for requesting a new port.

comment:2 Changed 4 years ago by mouse07410 (Mouse)

Any updates?

comment:3 Changed 3 years ago by SickTeddyBear

The bigger issue seems to be that in the repository, jruby is extremely out of date. We've got 1.7.4 and the latest is 1.7.27 in the 1.x series and we don't even have 9.1.12.0 in the 9K series. This port obviously has no maintainer.

Last edited 3 years ago by SickTeddyBear (previous) (diff)

comment:4 Changed 15 months ago by chrstphrchvz (Christopher Chavez)

Resolution: fixed
Status: newclosed

In 29015ea2c0deac8f6210e0199e67a0d76f9e15d8/macports-ports (master):

jruby: delete port

Delete jruby-devel since it will have no replacement

The jruby port is abandoned and has been outdated for almost 6 years.
Has no dependents.

Closes: #49862
Closes: #51386
Closes: #58502

Note: See TracTickets for help on using tickets.